Skip to main content
`Ctrl`+`K`

# PetscDASetLocalSizes

Sets the local state and observation dimensions used by a `PetscDA`.

## Synopsis

    PetscErrorCode PetscDASetLocalSizes(PetscDA da, PetscInt local_state_size, PetscInt local_obs_size)

Collective

## Input Parameters

- da - the `PetscDA` context

- local_state_size - number of local state components (or `PETSC_DECIDE`)

- local_obs_size - number of local observation components (or `PETSC_DECIDE`)

## See Also

PetscDA: Data Assimilation, `PetscDASetSizes()`, `PetscDASetUp()`

## Level

beginner

## Location

src/ml/da/interface/petscda.c

## Examples

src/ml/da/tutorials/ex3.c
src/ml/da/tutorials/ex4.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages